package com.ruoyi.voluntary.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.voluntary.mapper.BusiScoreLockMapper;
import com.ruoyi.voluntary.domain.BusiScoreLock;
import com.ruoyi.voluntary.service.IBusiScoreLockService;

/**
 * 志愿锁分Service业务层处理
 * 
 * @author voluntary
 * @date 2022-11-29
 */
@Service
public class BusiScoreLockServiceImpl implements IBusiScoreLockService 
{
    @Autowired
    private BusiScoreLockMapper busiScoreLockMapper;

    /**
     * 查询志愿锁分
     * 
     * @param id 志愿锁分主键
     * @return 志愿锁分
     */
    @Override
    public BusiScoreLock selectBusiScoreLockById(Long id)
    {
        return busiScoreLockMapper.selectBusiScoreLockById(id);
    }

    @Override
    public BusiScoreLock selectBusiScoreLockByProvinceName(String provinceName) {
        return busiScoreLockMapper.selectBusiScoreLockByProvinceName(provinceName);
    }

    /**
     * 查询志愿锁分列表
     * 
     * @param busiScoreLock 志愿锁分
     * @return 志愿锁分
     */
    @Override
    public List<BusiScoreLock> selectBusiScoreLockList(BusiScoreLock busiScoreLock)
    {
        return busiScoreLockMapper.selectBusiScoreLockList(busiScoreLock);
    }

    /**
     * 新增志愿锁分
     * 
     * @param busiScoreLock 志愿锁分
     * @return 结果
     */
    @Override
    public int insertBusiScoreLock(BusiScoreLock busiScoreLock)
    {
        return busiScoreLockMapper.insertBusiScoreLock(busiScoreLock);
    }

    /**
     * 修改志愿锁分
     * 
     * @param busiScoreLock 志愿锁分
     * @return 结果
     */
    @Override
    public int updateBusiScoreLock(BusiScoreLock busiScoreLock)
    {
        return busiScoreLockMapper.updateBusiScoreLock(busiScoreLock);
    }

    /**
     * 批量删除志愿锁分
     * 
     * @param ids 需要删除的志愿锁分主键
     * @return 结果
     */
    @Override
    public int deleteBusiScoreLockByIds(Long[] ids)
    {
        return busiScoreLockMapper.deleteBusiScoreLockByIds(ids);
    }

    /**
     * 删除志愿锁分信息
     * 
     * @param id 志愿锁分主键
     * @return 结果
     */
    @Override
    public int deleteBusiScoreLockById(Long id)
    {
        return busiScoreLockMapper.deleteBusiScoreLockById(id);
    }
}
